Package org.apache.sling.scripting.jsp.taglib

# Class FindResourcesTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.FindResourcesTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class FindResourcesTag extends javax.servlet.jsp.tagext.TagSupport
Tag for searching for resources using the given query formulated in the given language.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`FindResourcesTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`String`
`getLanguage()`
Gets the language.
`String`
`getQuery()`
Gets the query.
`protected org.apache.sling.api.resource.ResourceResolver`
`getResourceResolver()`
Method for retrieving the ResourceResolver from the page context.
`String`
`getVar()`
Gets the variable name to which to save the list of children.
`void`
`setLanguage(String language)`
Sets the language.
`void`
`setQuery(String query)`
Sets the query.
`void`
`setVar(String var)`
Sets the variable name to which to save the list of children.

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FindResourcesTag

public FindResourcesTag()

## Method Details

### doEndTag

public int doEndTag()

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`

### getResourceResolver

protected org.apache.sling.api.resource.ResourceResolver getResourceResolver()
Method for retrieving the ResourceResolver from the page context.

Returns:
  the resource resolver

### getLanguage

public String getLanguage()
Gets the language.

Returns:
  the language

### getQuery

public String getQuery()
Gets the query.

Returns:
  the query

### getVar

public String getVar()
Gets the variable name to which to save the list of children.

Returns:
  the variable name

### setLanguage

public void setLanguage(String language)
Sets the language.

Parameters:
  `language` - the new language

### setQuery

public void setQuery(String query)
Sets the query.

Parameters:
  `query` - the new query

### setVar

public void setVar(String var)
Sets the variable name to which to save the list of children.

Parameters:
  `var` - the variable name